#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, pr=1;
    cin>>n;
    int cpy=n;
    for(int d=2; d<n; d++)
    {
        pr*=d;
        if(n%d!=0) n=n/d+1;
        else n/=d;
    }
    int ans=(cpy/pr)*pr+1;
    if(ans>cpy) ans-=pr;
    cout<<ans;
    return 0;
}
